local Stats = require "engine.interface.ActorStats"
local Talents = require "engine.interface.ActorTalents"

newEntity{
   define_as = "BASE_NPC_BEAR_ENTHUSIAST",
   type = "humanoid", subtype = "orc",
   display = "o", color=colors.UMBER,

   combat = { dam=resolvers.rngavg(5,12), atk=2, apr=6, physspeed=2 },

   body = { INVEN = 10, MAINHAND=1, OFFHAND=1, BODY=1, QUIVER=1 },
   resolvers.drops{chance=20, nb=1, {} },
   resolvers.drops{chance=10, nb=1, {type="money"} },
   infravision = 10,
   lite = 2,

   life_rating = 11,
   rank = 2,
   size_category = 3,

   open_door = true,

   autolevel = "warrior",
   ai = "dumb_talented_simple", ai_state = { ai_move="move_dmap", talent_in=3, },
   stats = { str=20, dex=8, mag=6, con=16 },
   resolvers.talents{ [Talents.T_WEAPON_COMBAT]={base=1, every=10, max=5}, },
   ingredient_on_death = "ORC_HEART",
}

newEntity{ base = "BASE_NPC_BEAR_ENTHUSIAST",
   name = "Iron Chef Garmiel", unique = true,
   color=colors.DARK_KHAKI,
   resolvers.nice_tile{image="invis.png", add_mos = {{image="npc/humanoid_orc_krogar.png", display_h=2, display_y=-1}}},
   desc = [[This orc has gone quite mad, and far too long without a bath. He is clad only in an apron, wearing a dented cooking pot on his head and wielding two vicious kitchen knives. He appears to think he is a bear. A bear with knives for hands.]],
   level_range = {3, nil}, exp_worth = 2,
   rarity = 40,
   rank = 3.5,
   max_life = resolvers.rngavg(75, 100),
   life_rating = 18,
   move_others=true,
   combat_armor = 4, combat_def = 0,
   
   autolevel = "rogue",
   stats = { str=20, dex=14, mag=6, con=16, cun=14, },
      
   resolvers.talents{
      [Talents.T_SKULLCRACKER]={base=1, every=2, max=5},
      [Talents.T_KNIFE_MASTERY]={base=2, every=10, max=5},
   },
   
   resolvers.equip{
      {type="weapon", subtype="dagger", ego_chance=20, autoreq=true},
      {type="weapon", subtype="dagger", ego_chance=20, autoreq=true},
      {type="armor", subtype="head", defined="COOKING_POT", random_art_replace={chance=40}, autoreq=true},
   },
   resolvers.drops{chance=100, nb=1, {tome_drops="boss"} },
}